Bug 815735 - [RFE] xmlrpc need a method for getting 'default_product_version'
[RFE] xmlrpc need a method for getting 'default_product_version'
Status: CLOSED CURRENTRELEASE
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.7.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: jianchen
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 07:51 EDT by Xin Gao
Modified: 2015-12-01 00:34 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 03:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-04-24 07:51:43 EDT
Description of problem:
Currently, user couldn't get 'default_product_version' using xmlrpc for creating test plan.

Version-Release number of selected component (if applicable):
version 3.7.0-1 on stage

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
There is a method for getting 'default_product_version'.

Additional info:
Comment 1 jianchen 2012-06-26 03:09:00 EDT
Now tcms supply Product.get_versions() methods get the version list of versions belong to product, user can get version and create testplan success.
This bug was closed here.

Note You need to log in before you can comment on or make changes to this bug.